Subject: Re: [PATCH 0/2] git checkout: one bugfix and one cosmetic change

From: Michael J Gruber <[email-masked]>
Date: Tue, 17 Mar 2009 14:39:25 +0100

Jeff King venit, vidit, dixit 17.03.2009 09:43:
> On Tue, Mar 17, 2009 at 03:56:12PM +1100, Kris Shannon wrote:
> 
>> I was rather surprised to see my name on that list.  A quick git log
>> showed my one contribution to git-parse-remote way pack in
>> August 2005.
>>
>> I'd forgotten about that and was feeling all warm and fuzzy until I did:
>> git log -- git-parse-remote
>>
>> and saw that it was deleted a week later :(
> 
> Heh. The current list just counts commits, which is nice and fast. But
> one could also "git blame" all of the content from master and credit
> people based either on:
> 
>   - number of surviving lines in the current codebase (which obviously
>     would give very rankings for people, as the number of lines added
>     in a commit is not constant)
> 
>   - number of commits which have surviving lines
> 
> Doing such a calculation would be pretty slow, though, I imagine. And it
> would of course remove you from the list. :)
> 
> -Peff

Maybe we can forge a statement by Canonical, claiming they were among
the top contributors to git? Then GKH would do all the statistics for us ;)

Michael